unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls, Unit2, Unit3, Unit4;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    ComboBox3: TComboBox;
    ComboBox4: TComboBox;
    ComboBox5: TComboBox;
    ComboBox6: TComboBox;
    ComboBox7: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure ComboBox3Change(Sender: TObject);
    procedure ComboBox5Change(Sender: TObject);
    procedure ComboBox6Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RadioButton2Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;
  fbiblija, fintervals : text;
  LevInt, DesenInt : Integer;
  arKniga : array [1..31102] of String;
  arGlava : array [1..31102] of String;
  arStih : array [1..31102] of String;
  arTekst : array [1..31102] of String;
  arKnigaNaslov : array [1..67] of String;
  arIntervals : array [1..2000, 1..4] of Integer;
  State, ImaVreme, RS : Boolean;
  Prasanje : Integer;
  hiding : Integer;


implementation
{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var i, ip1, ip2, ip3, ip4, ip5, ip6 : Integer;
    si : String;
begin

   RS:=RadioButton1.Checked;

   ip1:=ComboBox1.ItemIndex+1;
   ip2:=ComboBox3.ItemIndex+1;
   ip3:=ComboBox4.ItemIndex+1;
   ip4:=ComboBox2.ItemIndex+1;
   ip5:=ComboBox6.ItemIndex+1;
   ip6:=ComboBox7.ItemIndex+1;

   for i:=1 to 1189 do begin
    if (arIntervals[i,1]=ip1) AND (arIntervals[i,2]=ip2) then
      LevInt:=arIntervals[i,4]+ComboBox4.ItemIndex;
    if (arIntervals[i,1]=ip4) AND (arIntervals[i,2]=ip5) then
      DesenInt:=arIntervals[i,4]+ComboBox7.ItemIndex;
   end;

   form1.hide;
   form2.show;
   form2.Generiraj;

  // ShowMessage('Interval is not correct');
end;

procedure TForm1.Button2Click(Sender: TObject);
var s:string;
begin
  Form3.Show;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
var i , i2, glavi : Integer;
    si: String;
begin
  ComboBox3.Clear;
  glavi:=0;
  for i:=1 to 1189 do
   if arIntervals[i,1]=(ComboBox1.ItemIndex+1) then glavi:=glavi+1;


  for i:=1 to glavi do begin
   str(i, si);
   ComboBox3.AddItem(si, nil);
  end;
  ComboBox3.ItemIndex:=0;

  ComboBox4.Clear;
  for i:=1 to 1189 do
   if (arIntervals[i,1]=ComboBox1.ItemIndex+1) AND (arIntervals[i,2]=ComboBox3.ItemIndex+1) then
     for i2:=1 to arIntervals[i,3] do begin
        str(i2, si);
        ComboBox4.AddItem(si, nil);
     end;
  ComboBox4.ItemIndex:=0;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
var i, i2, glavi : Integer;
    si : String;
begin
  ComboBox6.Clear;
  glavi:=0;
  for i:=1 to 1189 do
   if arIntervals[i,1]=(ComboBox2.ItemIndex+1) then glavi:=glavi+1;

  for i:=1 to glavi do begin
   str(i, si);
   ComboBox6.AddItem(si, nil);
  end;
  ComboBox6.ItemIndex:=0;

  ComboBox7.Clear;
  for i:=1 to 1189 do
   if (arIntervals[i,1]=ComboBox2.ItemIndex+1) AND (arIntervals[i,2]=ComboBox6.ItemIndex+1) then
     for i2:=1 to arIntervals[i,3] do begin
        str(i2, si);
        ComboBox7.AddItem(si, nil);
     end;
  ComboBox7.ItemIndex:=0;
end;

procedure TForm1.ComboBox3Change(Sender: TObject);
var i, i2 : Integer;
    si : String;
begin
  ComboBox4.Clear;
  for i:=1 to 1189 do
   if (arIntervals[i,1]=ComboBox1.ItemIndex+1) AND (arIntervals[i,2]=ComboBox3.ItemIndex+1) then
     for i2:=1 to arIntervals[i,3] do begin
        str(i2, si);
        ComboBox4.AddItem(si, nil);
     end;
  ComboBox4.ItemIndex:=0;
end;


procedure TForm1.ComboBox5Change(Sender: TObject);
begin
  case ComboBox5.ItemIndex of
     0 : hiding:=0;
     1 : hiding:=1;
     2 : hiding:=2;
     3 : hiding:=3;
     4 : hiding:=4;
     5 : hiding:=5;
     6 : hiding:=6;
     7 : hiding:=7;
     8 : hiding:=8;
     9 : hiding:=9;
    10 : hiding:=10;
    11 : hiding:=16;
    12 : hiding:=20;
    13 : hiding:=22;
    14 : hiding:=30;
    15 : hiding:=35;
    16 : hiding:=40;
    17 : hiding:=50;
    18 : hiding:=60;
    19 : hiding:=70;
    20 : hiding:=80;
    21 : hiding:=90;
  end;
end;

procedure TForm1.ComboBox6Change(Sender: TObject);
var i, i2 : Integer;
    si : String;
begin
  ComboBox7.Clear;
    for i:=1 to 1189 do
     if (arIntervals[i,1]=ComboBox2.ItemIndex+1) AND (arIntervals[i,2]=ComboBox6.ItemIndex+1) then
       for i2:=1 to arIntervals[i,3] do begin
          str(i2, si);
          ComboBox7.AddItem(si, nil);
       end;
    ComboBox7.ItemIndex:=0;
end;



procedure TForm1.FormCreate(Sender: TObject);
var ibre, i, j, spejs, dvetocki , index: Integer;
  linija, stKniga, stGlava, stStih , stPozicija, si: String;
  Kniga, Glava, Stihovi , Pozicija: Integer;
  spejs1, spejs2, spejs3 : Integer;
  arspejs : array[1..5] of Integer;
begin
  //vcituvanje na naslovite
  assignfile(fbiblija, 'BooksTitles.txt');
  reset(fbiblija);
  i:=0;
  while not(eof(fbiblija)) do begin
    i:=i+1;
    readln(fbiblija, linija);
    arKnigaNaslov[i]:=linija;
    ComboBox1.AddItem(linija,nil);
    ComboBox2.AddItem(linija,nil);
  end;
  closefile(fbiblija);

  ComboBox1.ItemIndex:=0;
  ComboBox2.ItemIndex:=65;
  ComboBox5.ItemIndex:=2;
  for i:=1 to 50 do begin
    str(i, si);
    ComboBox3.AddItem(si, nil);
  end;
  for i:=1 to 31 do begin
    str(i, si);
    ComboBox4.AddItem(si, nil);
  end;
  for i:=1 to 22 do begin
    str(i, si);
    ComboBox6.AddItem(si, nil);
  end;
  for i:=1 to 21 do begin
    str(i, si);
    ComboBox7.AddItem(si, nil);
  end;
  ComboBox3.ItemIndex:=0;
  ComboBox4.ItemIndex:=0;
  ComboBox6.ItemIndex:=21;
  ComboBox7.ItemIndex:=20;
  RadioButton1.Checked:=true;
  hiding:=20;
  ImaVreme:=true;
  State:=true;
  Prasanje:=0;
  Button1.Enabled:=True;



  // Vcituvanje na Biblijata
  assignfile(fbiblija, 'Bible.txt');
  reset(fbiblija);
  ibre :=0;
  while not(eof(fbiblija)) do begin
   readln(fbiblija, linija);
   ibre:=ibre+1;
   if (ibre mod 2) = 1 then begin
     spejs:=0;
     dvetocki:=0;
     for i:=1 to length(linija) do begin
       if linija[i] = ' ' then spejs:=i;
       if linija[i] = ':' then dvetocki:=i;
     end; // for i
     stKniga:= copy(linija, 4,spejs-4);
     stGlava := copy(linija, spejs+1, dvetocki-spejs-1);
     stStih := copy(linija, dvetocki+1, length(linija)-dvetocki);
     index :=(ibre div 2)+1;
     arKniga[index]:=stKniga;
     arGlava[index]:=stGlava;
     arStih[index]:=stStih;
   end // if (ibre mod 2) = 1
   else arTekst[ibre div 2]:=linija;
  end; // while not..
  closefile(fbiblija);

  AssignFile(fintervals, 'BibleIntervals.txt');
  reset(fintervals);
  for i:=1 to 1189 do begin
    readln(fintervals, linija);
    j:=1;
    for ibre:=1 to length(linija) do
     if linija[ibre]=' ' then begin
       arspejs[j]:=ibre;
       j:=j+1;
     end;
    stKniga:=copy(linija, 1, arspejs[1]-1);
    stGlava:=copy(linija, arspejs[1]+1, arspejs[2]-arspejs[1]-1);
    stStih:=copy(linija, arspejs[2]+1, arspejs[3]-arspejs[2]-1);
    stPozicija:=copy(linija, arspejs[3]+1, length(linija)-arspejs[3]);

    val(stKniga, Kniga);
    val(stGlava, Glava);
    val(stStih, Stihovi);
    val(stPozicija, Pozicija);
    arIntervals[i,1]:= Kniga;
    arIntervals[i,2]:= Glava;
    arIntervals[i,3]:= Stihovi;
    arIntervals[i,4]:= Pozicija;

  end;  // for i:=1 to 1189

end;

procedure TForm1.RadioButton2Change(Sender: TObject);
begin
  if RadioButton2.Checked then begin
    ComboBox2.Enabled:=false;
    ComboBox6.Enabled:=false;
    ComboBox7.Enabled:=false;
  end
  else begin
    ComboBox2.Enabled:=true;
    ComboBox6.Enabled:=true;
    ComboBox7.Enabled:=true;
  end;
end;

end.

